<section class="nevis-account-email  grid-indent">

  <section class="nevis-account-email__email  nevis-account__single-form  dwfe-form">
    <h2 id="account_email_info" class="visually-hidden">{{app.i18n('title_info', i18n)}}</h2>

    <div class="nevis-account__group  nevis-account__element-indent">
      <dwfe-form-control-input-text class="nevis-account__group-control"
                                    [labelText]="app.i18n('email', i18n)"
                                    (takeControl)="cEmail=$event"></dwfe-form-control-input-text>

      <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                [hintTrue]="app.i18n('hint_true', i18n)"
                                [hintFalse]="app.i18n('hint_false', i18n)"
                                [markIfChanged]="true"
                                [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                (takeControl)="tEmail=$event"
                                (takeIsChanged)="emailNonPublic_changed=$event"></dwfe-form-control-toggle>
    </div>

    <dwfe-action-ok-cancel class="nevis-account__action"
                           [errorMessage]="errorMessage"
                           [successMessage]="successMessage"
                           [showErrorMessage]="activeExchangeUnitNumber===1 && errorMessage !== ''"
                           [showSuccessMessage]="activeExchangeUnitNumber===1 && successMessage !== ''"
                           [isDisabled]="!isInfoChanged || isLocked"
                           (takeCancel)="performCancelEdit()"
                           (takeOk)="performUpdateAccountEmail()"></dwfe-action-ok-cancel>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===1 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form">
    <h2 id="email_confirm">{{app.i18n('title_confirm', i18n)}}</h2>

    <div class="nevis-account-email__confirm" *ngIf="!nevisService.isEmailConfirmed()">
      <div class="nevis-account-email__confirm-sent" *ngIf="isSentConfirmReq">
        <p class="nevis-account-email__confirm-sent-item  dwfe-txt-warning">{{app.i18n('check_email_box', i18n)}}</p>
      </div>
      <dwfe-action-ok class="nevis-account-email__confirm-btn  nevis-account__action"
                      [Label]="isSentConfirmReq ? app.i18n('i_want_to_retry_req', i18n): app.i18n('run_confirm', i18n)"
                      [errorMessage]="errorMessage"
                      [successMessage]="successMessage"
                      [showErrorMessage]="activeExchangeUnitNumber===2 && errorMessage !== ''"
                      [showSuccessMessage]="activeExchangeUnitNumber===2 && successMessage !== ''"
                      [isDisabled]="!cEmail || !cEmail.value || cEmail.value===''"
                      (takeClick)="performEmailConfirmationReq()"></dwfe-action-ok>
    </div>

    <div *ngIf="nevisService.isEmailConfirmed()">
      <p class="nevis-account-email__confirm-sent-item  nevis-account-email__confirm-sent-item--success  dwfe-txt-successful">
        {{app.i18n('email_confirmed', i18n)}}
      </p>
    </div>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===2 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form" spellcheck="false">
    <h2 id="email_change">{{app.i18n('title_change', i18n)}}</h2>

    <dwfe-form-control-input-email class="nevis-account__element-indent"
                                   [labelText]="app.i18n('new_email', i18n)"
                                   [markIfChanged]="true"
                                   [saveEdit$]="subjSaveEdit_Change.asObservable()"
                                   [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                                   (takeControl)="cNewEmail=$event"
                                   (takeIsChanged)="newEmail_changed=$event"></dwfe-form-control-input-email>

    <dwfe-form-control-input-password class="nevis-account__element-indent"
                                      [labelText]="app.i18n('current_password', i18n)"
                                      [disableValidators]="true"
                                      (takeControl)="cCurrentPassword=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok class="nevis-account__action"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===3 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===3 && successMessage !== ''"
                    [isDisabled]="!(newEmail_changed && cCurrentPassword && cCurrentPassword.value && cCurrentPassword.value!='') || isLocked"
                    (takeClick)="performEmailChange()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===3 && isLocked"></dwfe-overlay>

  </section>

</section>
